{
    "$graph": [
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "id": "#gpx_qdump.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ]
        },
        {
            "label": "hmmsearch_wnode",
            "class": "CommandLineTool",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "ramMax": 3000
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.workdir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entryname": "fam.mft",
                            "entry": "${ var blob = '# fam.mft created for hmmsearch_wnode from input hmms_tab File\\n'; if ( inputs.hmms_tab == null ) { return blob; }  else { return blob + inputs.hmms_tab.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-cut_ga",
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fam.mft",
                    "inputBinding": {
                        "prefix": "-fam"
                    },
                    "id": "#hmmsearch_wnode.cwl/fam"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/bin",
                    "inputBinding": {
                        "prefix": "-hmmsearch-path"
                    },
                    "id": "#hmmsearch_wnode.cwl/hmmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#hmmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#hmmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "id": "#hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#hmmsearch_wnode.cwl/output"
                }
            ],
            "id": "#hmmsearch_wnode.cwl"
        },
        {
            "class": "Workflow",
            "label": "hmmsearch_wnode and gpx_qdump combined workflow to apply scatter/gather",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#main/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#main/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#main/input_jobs"
                },
                {
                    "type": "File",
                    "id": "#main/lds2"
                },
                {
                    "type": "File",
                    "id": "#main/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#main/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/gpx_qdump/output",
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#main/hmmsearch_wnode/output",
                            "id": "#main/gpx_qdump/input_path"
                        },
                        {
                            "default": "hmm_hits.asn",
                            "id": "#main/gpx_qdump/output_name"
                        },
                        {
                            "default": "*",
                            "id": "#main/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#main/gpx_qdump/output"
                    ],
                    "id": "#main/gpx_qdump"
                },
                {
                    "run": "#hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/hmmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#main/hmm_path",
                            "id": "#main/hmmsearch_wnode/hmm_path"
                        },
                        {
                            "source": "#main/hmms_tab",
                            "id": "#main/hmmsearch_wnode/hmms_tab"
                        },
                        {
                            "source": "#main/input_jobs",
                            "id": "#main/hmmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#main/lds2",
                            "id": "#main/hmmsearch_wnode/lds2"
                        },
                        {
                            "source": "#main/proteins",
                            "id": "#main/hmmsearch_wnode/proteins"
                        },
                        {
                            "source": "#main/workdir",
                            "id": "#main/hmmsearch_wnode/workdir"
                        }
                    ],
                    "out": [
                        "#main/hmmsearch_wnode/output"
                    ],
                    "id": "#main/hmmsearch_wnode"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
